Mailinglist Archive: opensuse-updates (127 mails)

< Previous Next >
openSUSE-SU-2017:2347-1: moderate: Security update for pspp
openSUSE Security Update: Security update for pspp
______________________________________________________________________________

Announcement ID: openSUSE-SU-2017:2347-1
Rating: moderate
References: #1054585 #1054586 #1054587 #1054588
Cross-References: CVE-2017-10791 CVE-2017-10792 CVE-2017-12958
CVE-2017-12959 CVE-2017-12960 CVE-2017-12961

Affected Products:
openSUSE Leap 42.3
openSUSE Leap 42.2
______________________________________________________________________________

An update that fixes 6 vulnerabilities is now available.

Description:

This update for pspp fixes the following issues:

- CVE-2017-12958: Illegal address access in function output_hex() could
lead to denial of service or unexpected state (boo#1054585)
- CVE-2017-12959: Assertion in function dict_add_mrset() could lead to
denial of service (boo#1054588)
- CVE-2017-12960: Assertion in function dict_rename_var() could lead to
denial of service (boo#1054587)
- CVE-2017-12961: Assertion in function parse_attributes() could lead to
denial of service (boo#1054586)


Patch Instructions:

To install this openSUSE Security Update use YaST online_update.
Alternatively you can run the command listed for your product:

- openSUSE Leap 42.3:

zypper in -t patch openSUSE-2017-996=1

- openSUSE Leap 42.2:

zypper in -t patch openSUSE-2017-996=1

To bring your system up-to-date, use "zypper patch".


Package List:

- openSUSE Leap 42.3 (x86_64):

pspp-1.0.1-8.1
pspp-debuginfo-1.0.1-8.1
pspp-debugsource-1.0.1-8.1
pspp-devel-1.0.1-8.1

- openSUSE Leap 42.2 (x86_64):

pspp-1.0.1-2.6.1
pspp-debuginfo-1.0.1-2.6.1
pspp-debugsource-1.0.1-2.6.1
pspp-devel-1.0.1-2.6.1


References:

https://www.suse.com/security/cve/CVE-2017-10791.html
https://www.suse.com/security/cve/CVE-2017-10792.html
https://www.suse.com/security/cve/CVE-2017-12958.html
https://www.suse.com/security/cve/CVE-2017-12959.html
https://www.suse.com/security/cve/CVE-2017-12960.html
https://www.suse.com/security/cve/CVE-2017-12961.html
https://bugzilla.suse.com/1054585
https://bugzilla.suse.com/1054586
https://bugzilla.suse.com/1054587
https://bugzilla.suse.com/1054588


< Previous Next >
This Thread
  • No further messages